### Class

# Ggit ObjectFactoryBase

#### Description [src]

    abstract class Ggit.ObjectFactoryBase : GObject.Object
    {
      /* No available fields */
    }

Represents the base type for objects created by an object factory.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- GgitNative

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitObjectFactoryBaseClass {
      /* no available fields */
    }

The class structure for `GgitObjectFactoryBaseClass`.